%global unique_name eu.tiliado.WebRuntime

Name:           nuvola-app-spotify
Version:        3.0
Release:        1%{?dist}
License:        BSD
Summary:        Spotify for Nuvola Player 3
Url:            https://github.com/tiliado/nuvola-app-spotify
Source0:        https://github.com/tiliado/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  nuvolasdk >= 4.10.0
BuildRequires:  python3-six
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/nuvola

BuildArch:      noarch


%description
Nuvola Player runs web interface of cloud music service in its own
window and provides integration with a Linux desktop.

This package provides configuration information for Nuvola Player
to be used with Spotify service.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

# Register as an application to be visible in the software center
mkdir -p %{buildroot}%{_datadir}/appdata
cp  %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{unique_name}AppSpotify.desktop
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/icons/*/*/*/%{unique_name}AppSpotify.*
%dir %{_datadir}/nuvolaruntime/web_apps
%{_datadir}/nuvolaruntime/web_apps/spotify/
%{_datadir}/dbus-1/services/%{unique_name}AppSpotify.service


%changelog
* Thu Mar 22 2018 Martin Gansser <martinkg@fedoraproject.org> - 3.0-1
- Update to 3.0
- nuvolasdk >= 4.10.0 is required

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.4-2
- Remove obsolete scriptlets

* Fri Sep 29 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.4-1
- Update to 2.4

* Fri Jul 28 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.3-1
- initial build
